Uploaded image for project: 'JDK'
  1. JDK
  2. JDK-6624717

Corrupted combo box, GTK L&F, Ubuntu 7.10

    Details

    • Type: Bug
    • Status: Closed
    • Priority: P3
    • Resolution: Fixed
    • Affects Version/s: 6, 6u3, 6u4, 6u5
    • Fix Version/s: 7
    • Component/s: client-libs
    • Subcomponent:
    • Resolved In Build:
      b27
    • CPU:
      generic, x86
    • OS:
      linux, linux_ubuntu, solaris_nevada
    • Verification:
      Not verified

      Backports

        Description

        Combo button on right side is not displayed correctly. I tried more themes - it is the same problem for all themes I tried eg Human, Clearlooks. It happens only on Ubuntu 7.10 but not 7.04 so it might be problem with GTK libs. It happens with JDK 6u3 and JDK 7 build 22. On console I get (6u3 for JDK 7b22 just numbers are different) :
        (<unknown>:8407): Gtk-WARNING **: Attempting to add a widget with type GtkButton to a GtkComboBoxEntry (need an instance of GtkEntry or of a subclass)

        (<unknown>:8407): Gtk-CRITICAL **: gtk_widget_realize: assertion `GTK_WIDGET_ANCHORED (widget) || GTK_IS_INVISIBLE (widget)' failed

        (<unknown>:8407): Gtk-CRITICAL **: gtk_paint_box: assertion `style->depth == gdk_drawable_get_depth (window)' failed

        (<unknown>:8407): Gtk-CRITICAL **: gtk_paint_box: assertion `style->depth == gdk_drawable_get_depth (window)' failed

          Attachments

            Issue Links

              Activity

                People

                • Assignee:
                  stayer Kirill Kirichenko (Inactive)
                  Reporter:
                  mslamasunw Marek Slama (Inactive)
                • Votes:
                  0 Vote for this issue
                  Watchers:
                  1 Start watching this issue

                  Dates

                  • Created:
                    Updated:
                    Resolved:
                    Imported:
                    Indexed: